#include <iostream>
using namespace std;
int arr[1000][1000];
int m, n, p, k = 0, r = 0, l = 0, o, sb = 0;
bool b = true, bb = true,bbb = true;
int staro_n;
int main() {

    cin>>m>>n>>p;

    staro_n = n;

    for(int t = 0; t < 2*staro_n - 1; t++){
        if(b){
            if(bb){
                for(int i = k; i < n; i++){
                    m ++;
                    arr[i][r] = m - 1;
                    o = i;
                }
                k = o;
                b = false;
                bb = false;
                m --;
            }else{
                for(int i = k; i >= l; i--){
                    m ++;
                    arr[i][r] = m - 1;
                    o = i;
                }
                k = o;
                b = false;
                bb = true;
                n --;
                l ++;
                m --;
            }
        }else{
            if(bbb){
                for(int j = r; j < n; j++){
                    m ++;
                    arr[k][j] = m - 1;
                    o = j;
                }
                r = o;
                bbb = false;
                b = true;
                m --;
            }else{
                for(int j = r; j >= l; j--){
                    m ++;
                    arr[k][j] = m- 1;
                    o = j;
                }
                r = o;
                bbb = true;
                b = true;
                m --;
            }
        }
    }

    for(int i = 0; i < staro_n; i++){
        sb += arr[i][p-1];
    }
    cout<<sb;

    return 0;
}
